
// VARIABLES  ===============================================================================

const URL_CHECK_ID    = "upload.php";
const URL_DETOURAGE   = "removeBackground2.php";
const URL_WEB_API     = "web_server.php";
const URL_CHOOSE_MAIL = "io.php";
const URL_END         = "byebye.html";

const ID    = "img-ID";  var Img;
const ID_bg = "img-ID2"; var ImgBG;
const canva = "canvas";

const idConsole = "span-status"; var Console;

var base64 = "";

const idFileUpload       = "fileUpload";        var inputFileUpload;
const idCustomFileUpload = "custom-fileUpload"; var btnCustomFileUpload;
const idBtnSubmit        = "btnSubmit";         var btnSubmit;

const idStatut = "span-status";


var errorFormat = true;
var errorRemoveBackGround = true;

var unSeulVisage   = false;
var format_correct = false;

const id_li_OneFace = "li-oneface"; var li_OneFace;
const id_li_format  = "li-format";  var li_format;
const id_li_taille  = "li-taille";  var li_taille;

// SCRIPT ====================================================================================

$(document).ready(function(){

  //Variables des éléments du DOM.
  inputFileUpload     = $("#"+idFileUpload);
  btnCustomFileUpload = $("#"+idCustomFileUpload);
  Img   = $("#"+ID);
  ImgBG = $("#"+ID_bg);

  btnSubmit = $("#"+idBtnSubmit);
  Console   = $("#"+idConsole);

  li_OneFace = $("#"+id_li_OneFace);
  li_format  = $("#"+id_li_format);
  li_taille  = $("#"+id_li_taille);



    //Récupération des données concernant l'étudiant & proposition des différentes addresses mail.
    studentId = getParameter(window.location.href);
    $.ajax({
        url: URL_WEB_API,
        method: 'POST',
        data: 'studentId='+studentId,
        dataType: "json"
    })
    .done(function(response){
        // let data = JSON.stringify(response);
        // $("div#res").append(data);
        // if(!data["atraiter"]){window.open(URL_END, '_self');
        let data = response;
        if(!data["atraiter"]){window.open(URL_END, '_self');}
        console.log(data);
        let prenom         = data['prenom'];
        let nom            = data['nom'];
        let mailCalcule    = data["mailCalcule"];
        let mailsPossibles = data["mailsPossibles"];

        if(mailsPossibles.length != 0)
        {

          $("body").append(
            `<div class = "container grayarea">
            <h2 class="text-center">Choix de l'adresse électronique</h2>
            <div class = "form-container div-form" id="email-container" >
              <div class="title-container"><h3>Veuillez choisir votre prochaine adresse électronique</h3></div>
              <form id ="choix-email" name="mail" class="div-form form-emails" action="" method="" onsubmit="event.preventDefault();sendMail()"> 
              </form>
            </div>
            </div>`
          );

          mailsPossibles.forEach(element => {
            $('#choix-email').append(
              `<input type="radio" id="${element}" name="mail" value="${element}" required>
              <label for="${element}"> ${element}</label><br>`
            );
          });
          $("#choix-email input").attr('checked');
          $("#choix-email").append(
            `<input type="submit" id="valide-mail" value="Ok c'est bon !" class="btn btn-secondary" style="background-color:#00b8de">`
          );
        }
        else
        {
          $("body").append(`
          <div class = "container grayarea text-center">
            <h3>Votre adresse électronique sera ${mailCalcule}, vous recevrez votre mot de passe dans les 24 heures.</h3>
          </div>
          <div  class = "container">
            <form action="" method="" onsubmit="event.preventDefault();sendMail()">
              <input type="submit" id="valide-mail" value="Ok c'est bon !" class="btn btn-secondary" style="background-color:#00b8de">
            </form>
          </div>
          `
          );
          
        }
    })


    //====EVENEMENTS========================================================
    //Si l'on change la photo, 
    inputFileUpload.change(function(){
      unSeulVisage   = false;
      format_correct = false;
      valide         = false;
      ImgBG.attr("src","");
      li_format.removeClass (" list-group-item-success list-group-item-danger ").addClass(" list-group-item-secondary ");
      li_OneFace.removeClass(" list-group-item-success list-group-item-danger ").addClass(" list-group-item-secondary ");
      li_taille.removeClass (" list-group-item-success list-group-item-danger ").addClass(" list-group-item-secondary ");
    });


    //Requête pour les vérifications de sécurité & de format
    $("#form").on("submit", function (event) {
      if(valide == false)
       {   
        event.preventDefault();
        const file      = inpFile.files[0];
        const extension = file.name.substring(file.name.lastIndexOf('.')+1, file.name.length) || file.name;

        // La photo se nomme avec l'ID.
        const formData  = new FormData();
        formData.set("photo",file,studentId+"."+extension);
          
          
        //Requête pour vérifier l'intégrité du fichier, ses dimensions
          $.ajax({
          
            url     : URL_CHECK_ID,
            method  : 'POST',
            enctype : 'multipart/form-data',
            data    : formData,

            cache    : false,
            dataType : "json",
            contentType : false,
            processData : false
          })
          .fail(function(error){
            Console.empty();
            alert("La requête s'est terminée en échec. Infos : " + JSON.stringify(error));
          })
          .done(function(data){

            errorFormat = data['error'];
            if (data['errorMIME']) {li_format.removeClass("list-group-item-secondary list-group-item-success").addClass("list-group-item-danger");}
            else                   {li_format.removeClass("list-group-item-secondary list-group-item-danger").addClass("list-group-item-success");}
            console.log(data['errorSize']);
            if (data['errorSize']) {console.log(2); li_taille.removeClass("list-group-item-secondary list-group-item-success").addClass("list-group-item-danger");}
            else                   {console.log(1); li_taille.removeClass("list-group-item-secondary list-group-item-danger" ).addClass("list-group-item-success");}
            if(!errorFormat)
            {
              format_correct = true;
              photoDetourage(formData);
            }
        })}
    });
    
  
});

// FONCTIONS  ================================================================================



function sendMail(){

  let mail = $("input[name=\"mail\"]:checked").val();
  console.log("unSeulVisage: "+unSeulVisage+"\nformat_correct: "+format_correct);
  if(unSeulVisage && format_correct){
    $.ajax({
      url    : URL_CHOOSE_MAIL,
      method : 'POST',
      data   : 'mail='+mail,

      dataType : "json"
    });
    window.open(URL_END, '_self');
  }
  else{
    alert("Oups...\nIl y a un problème avec votre photo :'(");
  }
  // window.close();
}

async function photoDetourage(formData){
  await findFaces(ID);
  if(unSeulVisage){
          $.ajax({
            //url de la requête
            url     : URL_DETOURAGE,
            method  : 'POST',
            enctype : 'multipart/form-data',
            data    : formData,

            cache      : false,
            dataType   : "json",
            contentType: false,
            processData: false
          })
          .done(function(data){
            console.log(data);
            //Affichage de la photo
            ImgBG.attr('src',data['src']);
          })
  }
}

async function findFaces(idImage) {
  // btnCustomFileUpload.prop('disabled',true);
  $("body").css("cursor","wait");
  btnSubmit.prop('disabled',true);
  const model = await blazeface.load();  
  // const img = ID;
  const img   = document.getElementById(idImage);
  var returnTensors  = false;
  const predictions  = await model.estimateFaces(img, returnTensors);
  console.log(predictions.length+ " visage(s) trouvés.");
  if (predictions.length > 0) {
      // for (let i = 0; i < predictions.length; i++) {

      //   const start = predictions[i].topLeft;
      //   const end   = predictions[i].bottomRight;
      //   const size  = [end[0] - start[0], end[1] - start[1]];
  
      //   // Render a rectangle over each detected face.
      //   ctx.fillRect(start[0], start[1], size[0], size[1]);
      // }
      $("#"+ idStatut).empty();
      $("#"+ idStatut).append(predictions.length+" face(s) found!");
      if(predictions.length == 1)
      {
        li_OneFace.removeClass("list-group-item-secondary list-group-item-danger").addClass("list-group-item-success");
        unSeulVisage = true;
      }
      else
      {
        li_OneFace.removeClass("list-group-item-secondary list-group-item-success").addClass("list-group-item-danger");
      }
  } 
  else {
    li_OneFace.removeClass("list-group-item-secondary list-group-item-success").addClass("list-group-item-danger");
  }
  btnSubmit.prop('disabled',false);
  btnCustomFileUpload.prop('disabled',false);
  $("body").css("cursor","");
}

function getParameter(url){
  L = url.length;
  l = 0;
  parameter="";
  for (var k = 0; k<L; k++){
    l=k
    if(url[k]=="?"){break;}
  }
  while (url[l]!="=")
  {
    l=l+1;
  }
  l=l+1;
  while(l<L&& url[l]!="&")
  {
    parameter+=url[l];
    l = l+1;
  }
  // console.log(parameter);
  return parameter;
}

function getFile(filePath) {
  return filePath.substr(filePath.lastIndexOf('\\') + 1) ;
}

function get_base64(src){
  var string = src;
  var k      = 0;
  var base_64;
  while (string.slice(k,k+7) != "base64,"    &&    k<100)
  {
    k=k+1;
  }
  base_64 = string.slice(k+7);
  return  base_64;
}



